Subject: Re: bug#11879: 24.1.50; delete-trailing-whitespace now removes empty lines at end of file

From: Chong Yidong <[email-masked]>
Date: Sat, 28 Jul 2012 18:41:00 +0800

Sven Joachim <[email-masked]> writes:

>> And, while there is a change, I haven't yet seen a clear argument that
>> this change is a problem.
>
> There may be cases where an empty line at the end is actually necessary.
> For instance, I occasionally edit chess game files in PGNÂ¹ format, and
> removing the trailing empty line breaks the nice feature that several of
> such files can be combined with cat(1) to produce a larger one.

I think this is a fair point, so I added `delete-trailing-lines' as an
option defaulting to t.  Major modes which need to preserve trailing
newlines can now set that to nil, (I don't think there are any such
modes in Emacs), or users can customize it.